## Application Config ##
app.version=v1
app.backend=https://mockbin.org/status/200/transaction-is-completed
app.message=Hello, World
app.errorCodeNotLive=504
app.errorCodeNotReady=503
app.showResponse=false
app.forward_headers=x-request-id,x-b3-traceid,x-b3-spanid,x-b3-parentspanid,x-b3-sampled
quarkus.ssl.native=true
quarkus.rest-client."com.example.quarkus.BackendClient".url=https://mockbin.org
%dev.app.showResponse=true
%dev.app.backend=https://mockbin.org/status/200/transaction-is-completed
#%dev.app.backend=https://mockbin.org/status/500
# Package type = fast-jar, legacy-jar, uber-jar and mutable-jar
quarkus.package.type=fast-jar
#Access Log
quarkus.http.access-log.enabled=true
#quarkus.http.access-log.pattern=%h %l %u %t "%r" %s %b "User-Agent: %{i,User-Agent}" "x-request-id: %{i,x-request-id}" "x-b3-traceid: %{i,x-b3-traceid}"  " Referer: %{i,Referer}" 
#Logging
quarkus.log.level=INFO
quarkus.log.category."com.example.quarkus".level=INFO
# quarkus.log.category."com.example.quarkus.health".level=DEBUG
quarkus.log.console.enable=true
quarkus.log.console.format=%d{HH:mm:ss} %-5p [%c{2.}] (%t) %s%e%n
#quarkus.log.console.format=%d{HH:mm:ss} %-5p requestId=%X{x-request-id}, traceId=%X{traceId}, parentId=%X{parentId}, spanId=%X{spanId}, sampled=%X{sampled} [%c{2.}] (%t) %s%e%n
quarkus.console.color=false
%dev.quarkus.console.color=true
#OpenAPI
quarkus.swagger-ui.always-include=false
quarkus.smallrye-openapi.path=/openapi
# Banner
quarkus.banner.path=banner.txt
quarkus.banner.enabled=true
# CORS
quarkus.http.cors=true
# Vert.X cache
quarkus.vertx.caching=true
# Management Interface
quarkus.management.enabled=false
quarkus.management.host=0.0.0.0
# Default management port 9000
quarkus.management.port=9000
quarkus.management.root-path=/q
# Kubernetes plugin
# quarkus.kubernetes.deployment-target=openshift
# quarkus.openshift.part-of=demo
# quarkus.kubernetes-client.trust-certs=true
# quarkus.openshift.labels.app=backend
# quarkus.openshift.replicas=2
# quarkus.openshift.expose=true

# Set maximum memory for build native
# quarkus.native.native-image-xmx=5120m

